---
# OpenVpn basic configuration

- name: Install needed package
  yum: pkg={{ item }} state=installed
  with_items:
  - openvpn
  tags:
  - packages

- name: Install certificate and key
  copy: src={{ puppet_private }}/vpn/openvpn/keys/ca.crt
        dest=/etc/openvpn/ca.crt
        owner=root group=root mode=0600
  tags:
  - install
  - openvpn
  notify:
  - restart openvpn (Fedora)
  - restart openvpn (RHEL7)
  - restart openvpn (RHEL6)

